package com.jzlife.report.controller;

import com.jzlife.report.dao.reports.TradeOrderAddressMapper;
import com.jzlife.report.dto.ReportOrderCoalescence;
import com.jzlife.report.dto.douyin.DouyinBoardSalesVo;
import com.jzlife.report.entity.reports.TradeOrderAddress;
import com.jzlife.report.schedule.ImportExcelTask;
import com.jzlife.report.service.newreport.ServicePowerReportService;
import com.jzlife.report.util.ResponseUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Controller
public class SyncController {

    @Autowired
    private TradeOrderAddressMapper tradeOrderAddressMapper;

    @Autowired
    private ImportExcelTask task;

    @Autowired
    private ServicePowerReportService servicePowerReportService;

    @GetMapping("/syncLocation")
    public Object test() {
//        List<ReportOrderCoalescence> orderLocationByDay = servicePowerReportService.getOrderLocationByDay();
//        Map<Date, List<ReportOrderCoalescence>> listMap = orderLocationByDay.stream().collect(Collectors.groupingBy(ReportOrderCoalescence::getBuinessDate));
//        List<List<ReportOrderCoalescence>> s = new ArrayList<>(listMap.values());
//        s.forEach(x->new Thread(()->servicePowerReportService.repairOrderLocation(x)).start());

        return ResponseUtil.ok();
    }

    @GetMapping("/syncMail")
    public Object test1(@RequestParam String date) {

//        DouyinBoardSalesVo boardBookVo=new DouyinBoardSalesVo();
//        boardBookVo.setBjGmv(new BigDecimal(366558.32));
//        boardBookVo.setBjOrders(1303);
//        BigDecimal bjOrders = new BigDecimal(boardBookVo.getBjOrders().toString());
//        boardBookVo.setBjPrice(boardBookVo.getBjGmv().divide(bjOrders,2, RoundingMode.HALF_UP));

        servicePowerReportService.repairOrderLocation(null);
        return ResponseUtil.ok();
    }

    @GetMapping("/syncMail2")
    public Object test2() {
        task.importReportData();
        return ResponseUtil.ok();
    }
}
