package com.jzlife.report.dao.douyin;

import com.jzlife.report.dto.ReportOldCustomerRebuyDetail;
import com.jzlife.report.dto.douyin.DouyinBoardLineVo;
import com.jzlife.report.dto.douyin.DouyinBoardMapVo;
import com.jzlife.report.dto.douyin.DouyinBoardSalesVo;
import com.jzlife.report.dto.douyin.DouyinRebuySingleDetailVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DouyinRebuyMapper {

    //散单服务复购明细表
    List<DouyinRebuySingleDetailVo> getDouyinRebuySingleDetai(@Param("startTime") String startTime,@Param("endTime") String endTime,
                                                              @Param("city") String city,
                                                              @Param("workerName") String workerName,
                                                              @Param("rebuyStatus") String rebuyStatus,
                                                              @Param("pageIndex") Integer pageIndex,
                                                              @Param("pageSize") Integer pageSize);

    //周期单续约明细
    List<ReportOldCustomerRebuyDetail> getDouyinRebuyCycleDetai(@Param("startTime") String startTime,@Param("endTime") String endTime,
                                                                @Param("city") String city,
                                                                @Param("workerName") String workerName,
                                                                @Param("rebuyStatus") String rebuyStatus,
                                                                @Param("pageIndex") Integer pageIndex,
                                                                @Param("pageSize") Integer pageSize);

}
