package com.jzlife.report.dao.reports;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.jzlife.report.dto.export.BjSettlementExportDto;
import com.jzlife.report.dto.export.BmAgencyFeeExportDto;
import com.jzlife.report.dto.export.BmClueCostExportDto;
import com.jzlife.report.dto.export.BmSettlementExportDto;
import com.jzlife.report.dto.export.BmSupplyInfoExportDto;

public interface ZSsettlementMapper {

	//保洁结算
	List<BjSettlementExportDto> getBJSettlement(@Param("ofMonth")String ofMonth, 
			@Param("store")String store, @Param("workerName")String workerName);
	
	//保姆结算
	List<BmSettlementExportDto> getBmSettlement(@Param("ofMonth")String ofMonth);
	
	//保姆供给明细
	@Select(" call etl_nurse_supply_info(#{ofMonth},#{storeName}) ")
	List<BmSupplyInfoExportDto> getBmSupplyInfo(@Param("ofMonth")String ofMonth,@Param("storeName")String storeName);
	
	//线索成本
	List<BmClueCostExportDto> getBmClueCost(@Param("ofMonth")String ofMonth);
	
	//保姆中介费
	List<BmAgencyFeeExportDto> getBmAgencyFee(@Param("ofMonth")String ofMonth);
}
