package com.jzlife.report.dto;


import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 加企微的明细表
 *
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CPDetailVo {
    @Excel(name = "服务单号")
    private String 服务单号;

    @Excel(name = "服务日期")
    private String 服务日期;

    @Excel(name = "城市")
    private String 城市;

    @Excel(name = "渠道")
    private String 渠道;

    @Excel(name = "服务类型")
    private String 服务类型;

    @Excel(name = "服务人员类型")
    private String 服务人员类型;

    @Excel(name = "服务人员编号")
    private String 服务人员编号;

    @Excel(name = "服务人员")
    private String 服务人员;

    @Excel(name = "服务人员手机")
    private String 服务人员手机;

    @Excel(name = "服务站")
    private String 服务站;

    @Excel(name = "运营老师")
    private String 运营老师;

    @Excel(name = "服务状态")
    private String 服务状态;

    @Excel(name = "是否加企微")
    private String 是否加企微;

    @Excel(name = "添加时间")
    private String 添加时间;

    @Excel(name = "是否本单本服务者添加")
    private String 是否本单本服务者添加;

    @Excel(name = "添加服务者")
    private String 添加服务者;

    @Excel(name = "添加时间顺序")
    private String 添加时间顺序;

}
