package com.jzlife.report.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * ib电访结果报表
 */
@Data
public class IBCallDTO {
    @ApiModelProperty(value="库存业务时间")
    private String agentName;

    @ApiModelProperty(value="库存业务时间")
    private String createTime;

    @ApiModelProperty(value="库存业务时间")
    private Integer noSaveResult;//未保存电访结果的进电数

    @ApiModelProperty(value="进电总数")
    private Integer ibTotal;

    @ApiModelProperty(value="接起总数")
    private Integer connected;

    @ApiModelProperty(value="小于20秒接起数")
    private Integer less20s;

    @ApiModelProperty(value="响铃总时长")
    private String ringTotal;

    @ApiModelProperty(value="通话总时长")
    private String talkTotal;

    @ApiModelProperty(value="平均通话时长")
    private String avgTalk;

    @ApiModelProperty(value="平均响铃时长")
    private String avgRing;

}
