package com.jzlife.report.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 老客T+30续约率 明细
 * 老客续约率：周期卡内最后一次服务完成后30天内，有未使用的、未预约的、履约中的订单
 */
@Data
public class ReportOldCustomerRebuyDetail {

    @Excel(name = "城市")
    private String city;

    @Excel(name = "服务站")
    private String stationName;

    @Excel(name = "服务商品")
    private String serviceGoods;

    @Excel(name = "商家运营")
    private String workerManager;

    @Excel(name = "商家ID")
    private String workerNo;

    @Excel(name = "商家")
    private String servantName;

    @Excel(name = "客户手机号")
    private String cusPhone;

    @Excel(name = "最后一单服务时间")
    private String bookTime;

    @Excel(name = "服务单号")
    private String bookTradeNo;

    @Excel(name = "服务GMV")
    private String gmv;

    @Excel(name = "服务订单号")
    private String payId;


    @Excel(name = "订单渠道")
    private String orderChannel;

    @Excel(name = "复购商品")
    private String goodsName;

    @Excel(name = "实付金额")
    private String payFee;

    @Excel(name = "复购渠道")
    private String rebuyChannel;

    @Excel(name = "复购订单号")
    private String rebuyOrderSn;

    @Excel(name = "复购时间",format ="yyyy-MM-dd HH:mm")
    private Date payTime;

    @Excel(name = "是否有T+0之前的复购")
    private String isBefore;

    @Excel(name = "T+0之前的复购商品")
    private String beforeRebuyGoods;

    @Excel(name = "T+0之前的复购商品实付")
    private String beforeRebuyPayFee;

    @Excel(name = "是否已退款")
    private String isRefund;

    private Integer rowTotal;//总行数：

}
