package com.jzlife.report.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * 小程序商城订单
 */
@Data
public class SaleAppDto {
    @Excel(name = "城市")
    private String city;


    @Excel(name = "订单编号")
    private String orderSn;


    @Excel(name = "渠道")
    private String channel;

    @Excel(name = "商品类型")
    private String samllType;

    @Excel(name = "商品名称")
    private String goodsName;
    
    @Excel(name = "一级分类")
    private String levelOne;
    
    @Excel(name = "二级分类")
    private String levelTwo;
    
    @Excel(name = "关键字")
    private String keyWord;


    @Excel(name = "商品价格")
    private String goodsPrice;


    @Excel(name = "支付日期")
    private String payDate;


    @Excel(name = "支付金额")
    private String payAmount;


    @Excel(name = "优惠券抵扣金额")
    private String couponPrice;


    @Excel(name = "优惠券兑换码")
    private String couponCode;


    @Excel(name = "订单状态")
    private String status;


    @Excel(name = "订单类型")
    private String orderType;


    @Excel(name = "退款时间")
    private String refundDate;


    @Excel(name = "退款金额")
    private String refundAmount;
}
