package com.jzlife.report.dto.douyin;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 看板曲线数据
 */
@Data
public class DouyinBoardLineVo {

    private String date;

    private Integer total;//订单量
    private Integer refunds;//已退款
    private Integer serviced;//已服务
    private Integer unbooked;//未预约
    private Integer matching;//未预约
    private BigDecimal gmv;//gmv
    private BigDecimal dGmv;//直营gmv
    private BigDecimal iGmv;//直营gmv
    private BigDecimal servicedGMV;//服务gmv

}
