package com.jzlife.report.dto.douyin;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

@Data
public class DouyinDouponTotalVo {

	@Excel(name = "优惠券名称")
	private Object name;

	@Excel(name = "最低消费")
	private Object minPayAmount;

	@Excel(name = "优惠券面值")
	private Object discountAmount;

	@Excel(name = "每人限领")
	private Object limit;

	@Excel(name = "当前状态")
	private Object statusTxt;

	@Excel(name = "商品范围")
	private Object goodsRange;

	@Excel(name = "有效期")
	private Object validDuration;

	@Excel(name = "发行数量")
	private Object stockNumber;

	@Excel(name = "剩余数量")
	private Object remainingNumber;

	@Excel(name = "领取次数")
	private Object received;


	@Excel(name = "领取率")
	private Object receiveRate;

	@Excel(name = "核销次数")
	private Object verifyNumber;

	@Excel(name = "核销人数")
	private Object verifyPersonNumber;

	@Excel(name = "核销率")
	private Object verifyRate;

	@Excel(name = "核销销售额")
	private Object verifySalesAmount;

	@Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	private Object createTime;

}
