package com.jzlife.report.dto.douyin;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 抖音销售 实时数据
 */
@Data
public class DouyinSalesVo {

    @Excel(name = "城市")
    private String city;

    @Excel(name = "订单类型")
    private String orderType;

    @Excel(name = "订单号")
    private String orderSn;

    @Excel(name = "订购商品")
    private String goodsName;

    @Excel(name = "Sku")
    private String goodsId;

    @Excel(name = "支付金额")
    private BigDecimal price;

    @Excel(name = "补差金额")
    private BigDecimal diffPrice;

    @Excel(name = "订单状态")
    private String status;

    @Excel(name = "售后状态")
    private String aftersaleStatus;

    @Excel(name = "退款原因")
    private String reason;

    @Excel(name = "客户输入退款原因")
    private String inputReason;

    @Excel(name = "预约状态")
    private String bookStatus;

    @Excel(name = "下单时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "支付时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    @Excel(name = "支付渠道")
    private String payChannel;

    @Excel(name = "退款时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    private Date refundTime;

    @Excel(name = "是否为cps")
    private String isCps;

    @Excel(name="达运姓名")
    private String operator;

    @Excel(name="达资来源")
    private String source;

    @Excel(name="达资类型")
    private String sourceOType;

    @Excel(name="团长或机构名")
    private String sourceLeader;

    @Excel(name="支付服务次数")
    private Integer payService;

    @Excel(name="核销金额")
    private BigDecimal verifyAmount;

    @Excel(name = "带货达人号")
    private String talentId;

    @Excel(name = "达人名称")
    private String commissionUser;

    @Excel(name = "达人佣金(分)")
    private BigDecimal commissionAmount;

    @Excel(name = "佣金比例(万分比例）")
    private BigDecimal commissionRate;

    @Excel(name = "来源类型")
    private String sourceType;

    @Excel(name = "视频或直播间Id")
    private String itemId;

    @Excel(name = "渠道")
    private String orderChannel;

    @Excel(name = "预约人手机")
    private String mobile;

    @Excel(name = "用户备注")
    private String message;

    @Excel(name = "预约时间")
    private String bookTime;

    @Excel(name = "完成时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    private String completedTime;

    @Excel(name = "美团核销码")
    private String serialNumber;

    @Excel(name = "是否商城复购")
    private String isRebuy;

    @Excel(name = "复购加盟商")
    private String fraName;
}
