package com.jzlife.report.dto.excelimport;

import java.util.Date;

import com.alibaba.excel.annotation.ExcelProperty;
import com.jzlife.report.util.excel.DateConverter;
import com.jzlife.report.util.excel.TimeConverter;

import lombok.Data;

/**
 * 盒马排班数据导入
 * 
 * @author lurz
 *
 */
@Data
public class HmScheduleExcel {
//    private Long id;

	@ExcelProperty(value = "服务站名称", index = 0)
	private String stationName;

	@ExcelProperty(value = "技师ID", index = 1)
	private Integer servantId;

	@ExcelProperty(value = "技师姓名", index = 2)
	private String servantName;

	@ExcelProperty(value = "技师状态", index = 3)
	private String status;

	@ExcelProperty(value = "技师入职时间", index = 4)//,converter=DateConverter.class
	private String entryTime;

	@ExcelProperty(value = "技师离职时间", index = 5)//,converter=DateConverter.class
	private String cancelTime;

	@ExcelProperty(value = "技师手机", index = 6)
	private String servantPhone;

	@ExcelProperty(value = "日期", index = 7)//,converter=DateConverter.class
	private String scheduleDate;

	@ExcelProperty(value = "班组名称", index = 8)
	private String scheduleName;

	@ExcelProperty(value = "班组开始时间", index = 9)//,converter=TimeConverter.class
	private String scheduleStart;

	@ExcelProperty(value = "班组结束时间", index = 10)//,converter=TimeConverter.class
	private String scheduleEnd;

//    private String batchNo;
//
//    private Date createTime;

}