package com.jzlife.report.dto.export;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * 各城市各业务线库存利用率和人均订单
 * @author 36952
 *
 */
@Data
public class BuzlineStockAvailabilityExportDto {

	@Excel(name = "城市")
	private String city;
	
	@Excel(name = "服务站")
	private String station;
	
	@Excel(name = "服务站类型")
	private String stationType;
	
	@Excel(name = "库存利用率")
	private String stockAvailability;
	
	@Excel(name = "保洁人均订单")
	private String bjAvgOrder;
	
	@Excel(name = "品类人均工时")
	private String plAvgWorktime;
}
