package com.jzlife.report.dto.export;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * 销售看板-销售明细
 * @author lu
 *
 */
@Data
public class ChannelSalesDto {
	
	@Excel(name = "渠道")
	private String channel;
	
	@Excel(name = "渠道编号")
	private String channelNo;
	
	@Excel(name = "付款单号")
	private String payOrderNo;
	
	@Excel(name = "城市")
	private String city;
	
	@Excel(name = "门店")
	private String shopName;
	
	@Excel(name = "一级分类")
	private String levelOne;
	
	@Excel(name = "二级分类")
	private String levelTwo;
	
	@Excel(name = "关键字")
	private String keyWord;
	
	@Excel(name = "服务时长")
	private String serviceTime;
	
	@Excel(name = "服务次数")
	private String serviceCount;
	
	@Excel(name = "状态")
	private String status;
	
	@Excel(name = "支付日期")
	private String payDate;
	
	@Excel(name = "支付金额")
	private String payFee;
	
	@Excel(name = "退款日期")
	private String refundDate;
	
	@Excel(name = "退款金额")
	private String refundFee;
	
	@Excel(name = "导购员")
	private String guideName;
	
	@Excel(name = "sku_code")
	private String skuCode;
	
	@Excel(name = "商品名称")
	private String goodsName;
	

}
