package com.jzlife.report.dto.export;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

@Data
public class ServantSignOrderExport {
	@Excel(name = "线索编号")
	private String clueNo;
	
	@Excel(name = "订单编号")
	private String orderNo;
	
	@Excel(name = "合同编号")
	private String contractNo;
	
	@Excel(name = "城市")
	private String city;
	
	@Excel(name = "服务模式")
	private String serviceModel;
	
	@Excel(name = "保姆来源")
	private String resource;
	
	@Excel(name = "客户姓名")
	private String customerName;
	
	@Excel(name = "合同状态")
	private String contractState;
	
	@Excel(name = "合同金额")
	private String contractAmount;
	
	@Excel(name = "支付金额")
	private String payMount;
	
	@Excel(name = "合同有效期开始")
	private String startDate;
	
	@Excel(name = "合同有效期结束")
	private String endDate;
	
	@Excel(name = "首次上门日期")
	private String firstDate;
	
	@Excel(name = "备注")
	private String remark;
	
	@Excel(name = "审核日期")
	private String approvalData;
	
	@Excel(name = "创建人")
	private String creatName;
	
	@Excel(name = "创建日期")
	private String createTime;
}
