package com.jzlife.report.dto.kaocf;


import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 花王销售报表
 */
@Data
public class KaoSales {

    @Excel(name = "城市")
    private String city;

    @Excel(name = "购买商品")
    private String goodsName;

    @Excel(name = "订单渠道")
    private String orderChannel;

    @Excel(name = "支付时间")
    private String createTime;

    @Excel(name = "支付金额")
    private BigDecimal price;

    @Excel(name = "订单状态")
    private String status;

    @Excel(name = "需服务次数")
    private Integer serviceTime;

    @Excel(name = "已服务次数")
    private Integer servicedTime;

//    @Excel(name = "售后状态")
//    private String aftersaleStatus;
//
//    @Excel(name = "退款原因")
//    private String reason;
//
//    @Excel(name = "退款时间")
//    private String refundTime;
}
