package com.jzlife.report.entity.reports;

import java.util.Date;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * 工单打卡，验收，回访数据组合
 * @author 阿闰
 *
 */
@Data
public class CrmOrderBookCp {
	
	@Excel(name = "服务工单号")
	private Integer bookDetailId;
	
	@Excel(name = "渠道")
	private String channel;

	@Excel(name = "商品名称")
	private String goodsName;

	@Excel(name = "服务时间")
	private String bookTime;

	@Excel(name = "服务者姓名")
	private String servantName;

	@Excel(name = "服务者电话")
	private String servantPhone;

	private Integer fraId;

	@Excel(name = "加盟商名称")
	private String fraName;

	@Excel(name = "客户名称")
	private String bookName;

	@Excel(name = "城市")
	private String serviceCity;

	@Excel(name = "地址")
	private String address;

	@Excel(name = "上门打卡时间" , format = "yyyy-MM-dd HH:mm:ss")
	private Date ondoorTime;

	@Excel(name = "上门打卡图片")
	private String ondoorImg;

	@Excel(name = "完成打卡时间"  , format = "yyyy-MM-dd HH:mm:ss")
	private Date finishTime;

	@Excel(name = "完成打卡图")
	private String finishImg;

	@Excel(name = "验收结果")
	private String degree;

	@Excel(name = "验收问题")
	private String question;

	@Excel(name = "验收信息")
	private String consultResult;
	
	@Excel(name = "验收图片")
	private String imgSrc;

	@Excel(name = "验收时间"  , format = "yyyy-MM-dd HH:mm:ss")
	private Date cpTime;

	@Excel(name = "回访工单号")
	private String ticketSn;

	@Excel(name = "工单标题")
	private String ticketTitle;

	@Excel(name = "工单描述")
	private String ticketDes;

	@Excel(name = "工单结果备注")
	private String ticketResultMemo;

	@Excel(name = "工单咨询内容")
	private String ticketConsult;

	@Excel(name = "工单创建时间"  , format = "yyyy-MM-dd HH:mm:ss")
	private Date ticketTime;

	@Excel(name = "是否打卡")
	private String isClock;
	
	@Excel(name = "是否验收")
	private String isCp;

}