package com.jzlife.report.entity.reports;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

import lombok.Data;


@Data
@ApiModel("可邀约好评-服务站汇总")
public class EvaluationInfoResult implements Serializable {


    private static final long serialVersionUID = 1L;

    /**
     * 城市
     */
    @ApiModelProperty(value = "城市")
    private String city;

    /**
     * 服务站
     */
    @ApiModelProperty(value = "服务站")
    private String stationName;

    /**
     * 当月评价数
     */
    @ApiModelProperty(value = "当月评价数")
    private Integer currentMonthEvaluationCount;

    /**
     * 当月好评数
     */
    @ApiModelProperty(value = "当月好评数")
    private Integer currentMonthGoodEvaluationCount;

    /**
     * 当月差评数
     */
    @ApiModelProperty(value = "当月差评数")
    private Integer currentMonthBadEvaluationCount;

    /**
     * 当月参评率
     */
    @ApiModelProperty(value = "当月参评率")
    private String currentMonthEvaluationRate;

    /**
     *
     */
    @ApiModelProperty(value = "")
    private String currentMonthGoodEvaluationRate;

}

