package com.jzlife.report.excelExport;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ServicePowerTicketDetailDTO {

    @Excel(name = "预约时间", width = 15)
    private String beginDate;

    @Excel(name = "订单号", width = 15)
    private String payId;

    @Excel(name = "购买门店", width = 15)
    private String shopName;

    @Excel(name = "服务订单号", width = 15)
    private String bookOrderNo;

    @Excel(name = "服务工单价格", width = 15)
    private BigDecimal price;

    @Excel(name = "作业单号", width = 15)
    private String bookTradeNo;

    @Excel(name = "工单渠道", width = 15)
    private String channel;

    @Excel(name = "分配策略", width = 15)
    private String sourceStrategy;

    @Excel(name = "一级分类", width = 15)
    private String levelOne;

    @Excel(name = "二级分类", width = 15)
    private String levelTwo;

    @Excel(name = "商家Id", width = 15)
    private String workerNo;

    @Excel(name = "服务者", width = 15)
    private String servantName;

    @Excel(name = "城市", width = 15)
    private String city;

    @Excel(name = "驿站", width = 15)
    private String jzStation;

    @Excel(name = "服务站", width = 15)
    private String stationName;

    @Excel(name = "计提金额", width = 15)
    private String laborPrice;

    @Excel(name = "状态", width = 15)
    private String status;

    @Excel(name = "是否计提", width = 15)
    private String isUse;

    @Excel(name = "创建日期", width = 15)
    private String createTime;

    @Excel(name = "工单用途", width = 15)
    private String useCode;

    @Excel(name = "关联单据", width = 15)
    private String hmOrderNo;


    @Excel(name = "用途描述", width = 15)
    private String useRemark;

    @Excel(name = "是否验收", width = 15)
    private String isChecked;

    @Excel(name = "评价类别", width = 15)
    private String evaType;

}
