package com.jzlife.report.service;

import com.jzlife.report.dao.hmorder.ReportSalseCacheMapper;
import com.jzlife.report.entity.hmorder.ReportSalseCache;
import com.jzlife.report.util.DateUtil;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SalesCacheService {

	public static String TYPE_SALES = "sales";// 销售的报表

	@Autowired
	ReportSalseCacheMapper cacheMapper;

	public void insertCache(ReportSalseCache record) {
		cacheMapper.deleteByTypeAndParam(record.getType(), record.getParam());
		cacheMapper.insertSelective(record);
	}

	public ReportSalseCache getTypeCache(String type, String param) {
		ReportSalseCache p = cacheMapper.selectByTypeAndParam(type, param);
//		if(p!=null&&getDifferHour(p.getCreateTime(), new Date())>8) {
//			cacheMapper.deleteByTypeAndParam(type,param);
//			return null;
//		}
		return p;
	}

	private static int getDifferHour(Date startDate, Date endDate) {
		long dayM = 1000 * 24 * 60 * 60;
		long hourM = 1000 * 60 * 60;
		long differ = endDate.getTime() - startDate.getTime();
		long hour = differ % dayM / hourM + 24 * (differ / dayM);
		return Integer.parseInt(String.valueOf(hour));
	}

}
