package com.jzlife.report.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.jzlife.report.anno.ExcelFiled;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ImportBillGoalVo {

    @ExcelProperty(value = "开始年月", index = 0)
    private String startMonth;

    @ExcelProperty(value = "结束年月", index =1)
    private String endMonth;

    @ExcelProperty(value = "业务线", index =2)
    private String businessType;

    @ExcelProperty(value = "目标分类", index =3)
    private String category;

    @ExcelProperty(value = "小分类", index =4)
    private String type;

    @ExcelProperty(value = "城市", index =5)
    private String city;

    @ExcelProperty(value = "指标值", index =6)
    private BigDecimal goal;

}
