package com.jzlife.report.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Data
public class ReBuyQueryVo {

    @ApiModelProperty(value = "城市id", notes = "支持多个城市，多个城市用【,】分开")
    private String cityIds;

    @ApiModelProperty(value = "驿站id", notes = "支持多个驿站，多个驿站用【,】分开")
    private String postIds;

    @ApiModelProperty(value = "服务站id", notes = "支持多个服务站，多个服务站用【,】分开")
    private String stationIds;

    @ApiModelProperty(value = "查询开始日期 yyyy-MM-dd")
    @NotEmpty(message = "查询开始日期不能为空")
    private String startTime;

    @ApiModelProperty(value = "查询结束日期 yyyy-MM-dd")

    private String endTime;

    @ApiModelProperty(value = "开启页")
    private Integer pageNo;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    @ApiModelProperty(value = "阿姨工号")
    private String workerNo;


    private Integer userId;


}
