package com.jzlife.report.dao.douyin;

import com.jzlife.report.dto.douyin.DouyinSalesByPoiVo;
import com.jzlife.report.dto.douyin.DouyinSalesVo;
import com.jzlife.report.dto.douyin.DouyinTotalVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface DouyinSalesMapper {
    List<DouyinSalesVo> getList(@Param("startTime") String startTime, @Param("endTime") String endTime,
                                @Param("provider") String provider,
                                @Param("orderStatus") String orderStatus,
                                @Param("goodsId") Integer goodsId,
                                @Param("goodsName") String goodsName, @Param("orderChannel") String orderChannel);
    List<DouyinTotalVo> getTotalList(@Param("startTime") String startTime, @Param("endTime") String endTime, @Param("city") String city);

    List<Map<String, Object>> getChannel();

    List<DouyinSalesVo> getMTList(@Param("startTime") String startTime,
                                  @Param("endTime") String endTime,
                                  @Param("mobile") String mobile,
                                  @Param("serialNumber") String serialNumber,
                                  @Param("orderSn") String orderSn);

    List<DouyinSalesByPoiVo> getTotalListByPoi(@Param("startTime") String startTime, @Param("endTime") String endTime, @Param("city") String city);

}
