package com.jzlife.report.dao.reports;

import com.jzlife.report.entity.reports.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BjManagerToolMapper {
    List<EvaluationInfoResult> evaluationInfo(@Param("citys") String citys, @Param("month") String month, @Param("station") String station);

    List<EvaluationInfoDetailResult> evaluationInfoDetail(@Param("citys") String citys, @Param("month") String month, @Param("station") String station);

    List<EvaluationInfoDetailByPersonResult> evaluationInfoDetailByPerson(@Param("citys") String citys, @Param("month") String month,
                                                                          @Param("station") String station);

    List<IndividualRankingResult> individualRanking(@Param("citys") String citys, @Param("month") String month, @Param("workerName") String workerName, @Param("stations") String stations, @Param("goodRank") String goodRank);

    List<IndividualRankingDetailResult> individualRankingDetail(@Param("month") String month, @Param("workerName") String workerName, @Param("citys") String citys, @Param("stations") String stations);

    List<SignAdnClockInfoResult> signAdnClockInfo(@Param("citys") String citys, @Param("month") String month);

    List<SignAdnClockInfoByStationResult> signAdnClockInfoByStation(@Param("citys") String citys, @Param("month") String month, @Param("station") String station);

    List<SignAdnClockOnDoorInfoResult> signAdnClockOnDoorInfo(@Param("citys") String citys, @Param("month") String month,
                                                              @Param("station") String station,
                                                              @Param("workerName") String workerName,
                                                              @Param("onOrLeaveDoorType") String onOrLeaveDoorType);

    List<SignAdnClockOnDoorInfoResult> signAdnClockLeaveDoorInfo(@Param("citys") String citys,
                                                                 @Param("month") String month,
                                                                 @Param("station") String station,
                                                                 @Param("workerName") String workerName,
                                                                 @Param("onOrLeaveDoorType") String onOrLeaveDoorType);

}
