package com.jzlife.report.dao.reports;

import java.util.List;

import com.jzlife.report.dto.ReportProductStocksVo;
import org.apache.ibatis.annotations.Param;

import com.jzlife.report.dto.export.BuzlineStockAvailabilityExportDto;
import com.jzlife.report.dto.export.CityBuzServiceorderNumberExport;
import com.jzlife.report.dto.export.CityStationCustomerComplaintExport;
import com.jzlife.report.dto.export.StockStationPersonExportDto;

public interface BjStockStatisticsMapper {
//各城市业务线
	// 在职情况
	List<StockStationPersonExportDto> sp_stock_station_person(@Param("ofMonth") String ofMonth);

	// 接单情况
	List<CityStationCustomerComplaintExport> sp_city_buzline_serviceorder_number(@Param("date") String date);

	// 各城市各业务线库存利用率和人均订单
	List<BuzlineStockAvailabilityExportDto> sp_report_buzline_stock_availability(@Param("ofMonth") String ofMonth);

	//各城市各服务站不同上线时长保洁师客诉率
	List<CityBuzServiceorderNumberExport> sp_city_station_customer_complaint(@Param("dateStart") String dateStart,
			@Param("dateEnd") String dateEnd);


	//各城市商品库存剩余率
	List<ReportProductStocksVo> get_city_product_stock(@Param("city") String city);
}
