package com.jzlife.report.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 企微预采
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CPPreCollectVo {

    @Excel(name = "预采任务")
    private String 预采任务;

    @Excel(name = "日期")
    private String 日期;

    @Excel(name = "当日预采总数")
    private Integer 当日预采总数;

    @Excel(name = "累计拨打数")
    private Integer 累计拨打数;

    @Excel(name = "累计成功接听")
    private Integer 累计成功接听;

    @Excel(name = "企微添加数")
    private Integer 企微添加数;

    @Excel(name = "企微添加成功率")
    private String 企微添加成功率;

    @Excel(name = "保洁客户数")
    private Integer 保洁客户数;

    @Excel(name = "保洁累计拨打数")
    private Integer 保洁累计拨打数;

    @Excel(name = "保洁累计成功接听")
    private Integer 保洁累计成功接听;

    @Excel(name = "保洁企微添加数")
    private Integer 保洁企微添加数;

    @Excel(name = "品类客户数")
    private Integer 品类客户数;

    @Excel(name = "品类累计拨打数")
    private Integer 品类累计拨打数;

    @Excel(name = "品类累计成功接听")
    private Integer 品类累计成功接听;

    @Excel(name = "品类企微添加数")
    private Integer 品类企微添加数;

}
