package com.jzlife.report.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author fuxubing
 */
@Data
public class SaleReportDTO {
    /**
     * 年月
     */
    private String yearmonth;
    /**
     * 业务订单号
     */
    private String bizOrderId;

    /**
     * 导购员
     */
    private String recommend;

    /**
     * 城市
     */
    private String city;

    /**
     * 门店
     */
    private String storeName;

    /**
     * 业务线
     */
    private String businessLine;

    /**
     * 一级分类
     */
    private String levelOne;

    /**
     * 二级分类
     */
    private String levelTwo;

    /**
     * 商品名称
     */
    private String itemName;

    /**
     * 日期
     */
    private String date;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 退款时间
     */
    private Date refundTime;

    /**
     * 含税金额
     */
    private BigDecimal payFee;

    /**
     * 退款金额
     */
    private BigDecimal refundFee;

    /**
     * 开单计数
     */
    private Long kdjs;

    /**
     * 单量计数
     */
    private Long dljs;

    /**
     * 实销额
     */
    private BigDecimal realFee;

    /**
     * GMV
     */
    private BigDecimal GMV;
}
