package com.jzlife.report.dto.douyin;


import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 核销明细报表 by 加盟商
 */
@Data
public class DouyinVerifyDetailFraVo {

    @Excel(name = "预约日期",width = 15)
    private String bookDate;

    @Excel(name = "订单渠道",width = 15)
    private String orderChannel;

    @Excel(name = "订单类型",width = 15)
    private String orderType;

    @Excel(name = "订单来源",width = 15)
    private String orderSource;

    @Excel(name = "城市",width = 15)
    private String city;

    @Excel(name = "加盟商",width = 15)
    private String fraName;

    @Excel(name = "服务商品Id",width = 15)
    private String goodsId;

    @Excel(name = "服务商品",width = 15)
    private String goodsName;

    @Excel(name = "预约次数",width = 15)
    private Integer yyNum;

    @Excel(name = "退款次数",width = 15)
    private Integer refundNum;

    @Excel(name = "取消次数",width = 15)
    private Integer cancelNum;

    @Excel(name = "用户改约取消",width = 15)
    private Integer changeDateNum;

//    @Excel(name = "用户改约取消",width = 15)
//    private Integer changeCancelNum;

    @Excel(name = "暂时不预约取消",width = 15)
    private Integer pauseNum;

    @Excel(name = "服务力不足取消",width = 15)
    private Integer lackNum;

    @Excel(name = "客户失联取消",width = 15)
    private Integer disconnectNum;

    @Excel(name = "退款取消",width = 15)
    private Integer refundCancelNum;

    @Excel(name = "其他取消",width = 15)
    private Integer otherNum;

    @Excel(name = "服务已完成",width = 15)
    private Integer wcNum;

    @Excel(name = "核销金额",width = 15)
    private BigDecimal amount;

    @Excel(name = "待服务次数",width = 15)
    private Integer waitNum;


}
