package com.jzlife.report.dto.export;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * 一键报备
 *
 */
@Data
public class OnceFilingTicketExportDto {

	@Excel(name = "工单编号")
	private String ticketSn;
	
	@Excel(name = "工单标题")
	private String ticketTitle;
	
	@Excel(name = "创建时间")
	private String createTime;
	
	@Excel(name = "城市")
	private String city;
	
	@Excel(name = "工单等级")
	private String ticketLevel;
	
	@Excel(name = "状态")
	private String status;
	
	@Excel(name = "最后处理结果")
	private String result;
	
	@Excel(name = "工单来源")
	private String taskSource;
	
	@Excel(name = "处理时长")
	private String handleTime;
	
	@Excel(name = "最后处理人")
	private String updateUser;
	
	@Excel(name = "最后处理时间")
	private String updateTime;
	
	@Excel(name = "服务者姓名")
	private String servantName;
	
	@Excel(name = "渠道")
	private String channel;
	
}
