package com.jzlife.report.entity.reports;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import lombok.Data;


@Data
@ApiModel("签到打卡-到门&离门信息")
public class SignAdnClockOnDoorInfoResult {
    /**
     * 预约日期
     */
    @ApiModelProperty(value = "预约日期")
    @Excel(name = "预约日期", width = 20)
    private String beginDate;

    /**
     * 服务订单号
     */
    @ApiModelProperty(value = "服务订单号")
    @Excel(name = "服务订单号", width = 20)
    private String bookOrderNo;

    /**
     * 商家ID
     */
    @ApiModelProperty(value = "商家ID")
    @Excel(name = "商家ID", width = 20)
    private String workerNo;

    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
    @Excel(name = "姓名", width = 20)
    private String servantName;

    /**
     * 到门时间
     */
    @ApiModelProperty(value = "到门时间")
    @Excel(name = "到门时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    private Date ondoorTime;

    /**
     * 到门情况
     */
    @ApiModelProperty(value = "到门情况")
    @Excel(name = "到门情况", width = 20)
    private String ondoorStatus;


    /**
     * 离门时间
     */
    @ApiModelProperty(value = "离门时间")
    @Excel(name = "离门时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    private Date leavedoorTime;

    /**
     * 离门情况
     */
    @ApiModelProperty(value = "离门情况")
    @Excel(name = "离门情况", width = 20)
    private String leavedoorStatus;

    /**
     *
     */
    @ApiModelProperty(value = "")
    @Excel(name = "", width = 20)
    private String lateMinute;
}

