package com.jzlife.report.entity.reports;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class TTempClue {

    @Excel(name = "线索id")
    private Integer leadId;

    /**
     * 线索编号
     */
    @Excel(name = "线索编号")
    private String leadNo;

    /**
     * 合同编号
     */
    @Excel(name = "合同编号")
    private String contractNo;

    /**
     * 来源名称
     */
    @Excel(name = "来源名称")
    private String sourceName;

    private Integer mastOrderId;

    @Excel(name = "订单编号")
    private String orderNo;

    @Excel(name = "服务模式")
    private String serviceModel;

    /**
     * 创建时间
     */
    @Excel(name = "订单创建时间", format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "合同状态")
    private String state;

    /**
     * 支付金额
     */
    @Excel(name = "订单关联凭证支付金额")
    private BigDecimal payFee;

    /**
     * 合同金额
     */
    @Excel(name = "居间服务费用")
    private BigDecimal contractFee;

    /**
     * 退款金额
     */
    @Excel(name = "订单关联凭证退款金额")
    private BigDecimal refundFee;

    /**
     * 服务结束日期
     */
    @Excel(name = "服务结束日期")
    private String serviceEndDate;

    /**
     * 服务开始日期
     */
    @Excel(name = "服务开始日期")
    private String serviceBeginDate;

    /**
     * 解约时间
     */
    @Excel(name = "解约时间")
    private String resignDate;

    /**
     * 首次上户时间
     */
    @Excel(name = "首次上户时间")
    private String firstShanghuDate;

    /**
     * 创建人姓名
     */
    @Excel(name = "跟进人姓名")
    private String createUserName;

    @Excel(name = "客户姓名")
    private String customerName;

    /**
     * 审核时间
     */
    @Excel(name = "审核时间", format = "yyyy-MM-dd")
    private Date approveTime;
}
