package com.jzlife.report.excelExport;


import cn.afterturn.easypoi.excel.annotation.Excel;
import com.alibaba.excel.util.DateUtils;
import lombok.Data;

import java.util.Date;


@Data
public class DayInvestMenDetail {

    @Excel(name = "日期", databaseFormat = DateUtils.DATE_FORMAT_10,width = 15)
    private Date date;
    @Excel(name = "城市",width = 15)
    private Object city;
    @Excel(name = "公海录入",type = 10)
    private Object publicSeaInput;
    @Excel(name = "私海录入",type = 10)
    private Object privateSeaInput;
    @Excel(name = "合伙人录入",type = 10)
    private Object partnerInput;

    @Excel(name = "参培人数",type = 10)
    private Object training;
    @Excel(name = "培训通过",type = 10)
    private Object trainPass;
    @Excel(name = "等待跟单",type = 10)
    private Object waitDocumentary;
    @Excel(name = "进入跟单",type = 10)
    private Object documentary;

    @Excel(name = "跟单不通过",type = 10)
    private Object documentaryNoPass;

    @Excel(name = "跟单通过",type = 10)
    private Object documentaryPass;


}
