package com.jzlife.report.schedule;

import com.jzlife.report.service.ReBuy2Service;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class cleanRedisCache {

    @Autowired
    private ReBuy2Service reBuy2Service;


    @Scheduled(cron = "0 0 8 * * ?")
    public void cleanRedisCacheFun() {
        log.info("清理redis缓存");
        reBuy2Service.cleanRedisCacheFun();
        log.info("清理redis缓存完成");

    }
}
