package com.jzlife.report.service.hmorder;

import java.util.List;
import java.util.Map;

import com.jzlife.report.entity.hmorder.DiRServicegmvLeft;

/**
 * @author fuxubing
 */
public interface ReportService {

	/**
	 * 销售报表数据(天)
	 *
	 * @param startTime
	 * @param endTime
	 * @param city
	 * @param storeNames
	 * @param levelOnes
	 * @param levelTwos
	 * @return
	 */
	Map<String, Object> getSaleReportData(String startTime, String endTime, String city, String storeNames,
			String businessLineStr,String levelOnes, String levelTwos);

	/**
	 * 销售报表数据(月)
	 *
	 * @param beginMonth
	 * @param endMonth
	 * @param city
	 * @param storeNames
	 * @param levelOnes
	 * @param levelTwos
	 * @return
	 */
	Map<String, Object> getMonthlySaleReportData(String beginMonth, String endMonth, String city, String storeNames,
			String businessLineStr, String levelOnes, String levelTwos);
	
	Map<Object, Object> getGmvData(String startTime, String endTime);
}
