package com.jzlife.report.service.nurse;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jzlife.report.dao.nurse.JzOrderAssignMapper;
import com.jzlife.report.dto.JzOrderAssignDTO;
import com.jzlife.report.service.JzOrderAssignService;
import com.jzlife.report.vo.JzOrderAssignVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class JzOrderAssignServiceImpl implements JzOrderAssignService {


    @Autowired
    private JzOrderAssignMapper jzOrderAssignMapper;

    @Override
    public Object dailyAssign(JzOrderAssignVo vo) {
        PageHelper.startPage(vo.getPageNo(), vo.getPageSize());
        List<JzOrderAssignDTO> jzOrderAssignDTOS = dailyAssignNoPage(vo);
        return new PageInfo<>(jzOrderAssignDTOS);
    }

    @Override
    public List<JzOrderAssignDTO> dailyAssignNoPage(JzOrderAssignVo vo) {
        return jzOrderAssignMapper.dailyAssign(vo);
    }
}
