package com.jzlife.report.service.report;

import com.jzlife.report.entity.reports.*;

import java.util.List;
import java.util.Map;

public interface BjManagerToolService {
    Map<String, Object> evaluationInfo(String citys, String month, String station);

    Map<String, Object> evaluationInfoByStation(String citys, String month, String station, Integer pageNum, Integer pageSize);

    Map<String, Object> evaluationInfoByPearson(String citys, String month, String station, Integer pageNum, Integer pageSize);

    Map<String, Object> individualRanking(String citys, String month, String workerName, Integer pageNum, Integer pageSize, String stations,String goodRank);

    Map<String, Object> individualRankingDetail(String month, String workerName, Integer pageNum, Integer pageSize, String citys, String stations);

    Map<String, Object> signAdnClockInfo(String citys, String month);

    Map<String, Object> signAdnClockInfoByStation(String citys, String month, String station);

    Map<String, Object> signAdnClockOnDoorAndLeaveDoorInfo(String citys, String month, String station, String workerName, String queryType, Integer pageNum, Integer pageSize,String onOrLeaveDoorType);
    List<SignAdnClockOnDoorInfoResult> signAdnClockOnDoorAndLeaveDoorInfoNoPage(String citys, String month, String station, String workerName, String queryType,String onOrLeaveDoorType);

    List<EvaluationInfoDetailResult> evaluationInfoByStationNoPage(String citys, String month, String station, Integer pageNum, Integer pageSize);

    List<EvaluationInfoDetailByPersonResult> evaluationInfoByPearsonNoPage(String citys, String month, String station, Integer pageNum, Integer pageSize);

    List<IndividualRankingDetailResult> individualRankingDetailNoPage(String month, String workerName, String citys, String stations);

    List<IndividualRankingResult> individualRankingNoPage(String citys, String month, String workerName, Integer pageNum, Integer pageSize, String stations,String goodRank);

}
