package com.jzlife.report.service.report.impl;

import com.github.pagehelper.PageHelper;
import com.jzlife.report.dao.reports.DyLaikeShopThreeRateMapper;
import com.jzlife.report.entity.reports.DyLaikeShopThreeRate;
import com.jzlife.report.service.DouyinShopThreeRateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class DouyinShopThreeRateServiceImpl implements DouyinShopThreeRateService {

    @Autowired
    private DyLaikeShopThreeRateMapper shopThreeRateMapper;

    @Override
    public List<DyLaikeShopThreeRate> getList(String fraName, String shopName, String poiId, Boolean isExport, Integer page, Integer limit, String goals) {
        Integer batchId= shopThreeRateMapper.selectLastBatchId();
        if(!isExport) {
            PageHelper.startPage(page, limit);
        }
        return shopThreeRateMapper.getList(fraName, shopName, poiId,batchId,goals);
    }
}
