package com.jzlife.report.util;

import java.util.Objects;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang3.StringUtils;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;

@Component
public class UserUtil {

	@Resource
	private StringRedisTemplate stringRedisTemplate;

	public Integer getUser(HttpServletRequest request) {
		String token = request.getHeader("token");
		if (StringUtils.isEmpty(token)) {
			token = request.getParameter("token");
		}
		String userInfo = stringRedisTemplate.opsForValue().get(token);
		JSONObject o = Objects.requireNonNull(JSON.parseArray(userInfo)).getJSONObject(1);
		return  o.getInteger("id");
	}
}
