package com.jzlife.report.util.page;

import java.util.List;

public class PagedResult<T> extends BaseEntity {  
	  
	    /*serialVersionUID*/  
		private static final long serialVersionUID = 1L;  
	  
	    private List<T> dataList;//数据  
	      
	    private long pageNo;//当前页  
	      
	    private long pageSize;//条数  
	      
	    private long total;//总条数  
	      
	    private long pages;//总页面数目  
	    
	    private long startPage;//页码开始
	    
	    private long endPage;//页面结束
	    
	    private String refCode;
	    
	    public List<T> getDataList() {  
	        return dataList;  
	    }  
	  
	    public void setDataList(List<T> dataList) {  
	        this.dataList = dataList;  
	    }  
	  
	    public long getPageNo() {  
	        return pageNo;  
	    }  
	  
	    public void setPageNo(long pageNo) {  
	        this.pageNo = pageNo;  
	    }  
	  
	    public long getPageSize() {  
	        return pageSize;  
	    }  
	  
	    public void setPageSize(long pageSize) {  
	        this.pageSize = pageSize;  
	    }  
	  
	    public long getTotal() {  
	        return total;  
	    }  
	  
	    public void setTotal(long total) {  
	        this.total = total;  
	    }  
	  
	    public long getPages() {  
	        return pages;  
	    }  
	  
	    public void setPages(long pages) {  
	        this.pages = pages;  
	    }

		public long getStartPage() {
			return startPage;
		}

		public void setStartPage(long startPage) {
			this.startPage = startPage;
		}

		public long getEndPage() {
			return endPage;
		}

		public void setEndPage(long endPage) {
			this.endPage = endPage;
		}

		public String getRefCode() {
			return refCode;
		}

		public void setRefCode(String refCode) {
			this.refCode = refCode;
		}

	    
	}  
